Subject: bug#16359: closed (Re: bug#16359: "guild list" lists nothing)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 01 Oct 2014 18:41:03 +0000

Your bug report

#16359: "guild list" lists nothing (Guile 2.0.9 on Debian)

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16359: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16359
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16359: "guild list" lists nothing
From: Mark H Weaver <[email-masked]>
To: Zefram <[email-masked]>
Cc: [email-masked]
Date: Wed, 01 Oct 2014 14:39:50 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Zefram <[email-masked]> writes:

> "guild list" is meant to list the available subcommands within guild.
> It actually shows an empty list:
>
> $ GUILE=/usr/bin/guile-2.0 guild list
> Usage: guild COMMAND [ARGS]
> Run command-line scripts provided by GNU Guile and related programs.
>
> Commands:
>
> For help on a specific command, try "guild help COMMAND".

[...]

> This is guile-2.0.9 on Debian.  Debian incarnation of this bug report:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=734313

I was never able to reproduce this bug.  I suspect it was either
specific to your system or to Debian, but in any case this seems to work
now on Debian jessie, according to Rob Browning (maintainer of the Guile
package on Debian).

Rob closed the Debian bug report, and I'm closing it on our end also.
Feel free to reopen it if you think there's still a problem.

    Thanks!
      Mark

Subject: "guild list" lists nothing
From: Zefram <[email-masked]>
To: [email-masked]
Date: Sun, 5 Jan 2014 23:04:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

"guild list" is meant to list the available subcommands within guild.
It actually shows an empty list:

$ GUILE=/usr/bin/guile-2.0 guild list
Usage: guild COMMAND [ARGS]
Run command-line scripts provided by GNU Guile and related programs.

Commands:

For help on a specific command, try "guild help COMMAND".

Report guild bugs to [email-masked]
GNU Guile home page: <http://www.gnu.org/software/guile/>
General help using GNU software: <http://www.gnu.org/gethelp/>
For complete documentation, run: info guile 'Using Guile Tools'
$

Subcommands mentioned in the guile documentation are actually available,
despite not being listed.

This is guile-2.0.9 on Debian.  Debian incarnation of this bug report:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=734313

-zefram